extends CanvasLayer

signal lancement_partie

func show_message(text):
	$LabelMessage.text = text
	$LabelMessage.show()
	$TimerMessage.start()

func show_partie_perdue():
	$ButtonStart.show()
	$LabelTitre.show()
	show_message("Perdu !")

func update_score(score):
	$LabelScore.text = str(score)

func _on_TimerMessage_timeout():
	$LabelMessage.hide()

func _on_ButtonStart_pressed():
	$ButtonStart.hide()
	emit_signal("lancement_partie")
	$LabelTitre.hide()
